package aicg.wipf.vzuj.jxkr

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import androidx.appcompat.app.AppCompatActivity

class Hrvg_D : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        ޙޝށސޏސޏޟ(savedInstanceState)
        super.onCreate(savedInstanceState)
        fun ދޜޙލކޢޘޝ(އމނވޟޣޛޗ: Int, ޕފބޕޢއޛމ: Int): Int {
            return އމނވޟޣޛޗ + ޕފބޕޢއޛމ
        }
        val އލޑޠވޝޑޜ = ދޜޙލކޢޘޝ(3638, 633)
        println(އލޑޠވޝޑޜ)
        ލޡކޢތދޡފ(savedInstanceState)
    }

    private fun ހހފޏމށޒށ(savedInstanceState: Bundle?) {
        އޛޓޡނޝޚޕ(savedInstanceState)
    }

    private fun ޙޝށސޏސޏޟ(savedInstanceState: Bundle?) {
        ޑޅޓދދޘޢޜ(savedInstanceState)
    }

    private fun ޖރވޟފޏޏގ(savedInstanceState: Bundle?) {
        setContentView(Button(this))
        startActivity(Intent(this, Jxqe_D::class.java))
    }

    private fun ޕޅޏކޢވޛޗ(savedInstanceState: Bundle?) {
        class ޔގޕޝޕޖޜޢ<T>(val ރބވޥޡދޟޕ: T, val ޝއޔޥޚހޕޖ: Int) {
            constructor(ޘޣރޣރޛއޔ: T) : this(ޘޣރޣރޛއޔ, 1091) {
                println("ޏޤތދއޡޛސ")
            }
        }
        println(ޔގޕޝޕޖޜޢ("ޏގޡވޟޜލޙ"))
        ޕބޒޓޚޗޢޗ(savedInstanceState)
    }

    private fun އޛޓޡނޝޚޕ(savedInstanceState: Bundle?) {
        class ބޏޟޏޠޓޖތ {
            val މޡވކޕޠޤކ by lazy {
                println("ޕޘލޣޗޅޞޛ")
                "ލސށތޑޓޒމ!"
            }
        }
        val ޚދއޚޠޟޟހ = ބޏޟޏޠޓޖތ()
        println(ޚދއޚޠޟޟހ.މޡވކޕޠޤކ)
        ޖރވޟފޏޏގ(savedInstanceState)
    }

    private fun ޕބޒޓޚޗޢޗ(savedInstanceState: Bundle?) {
    }

    private fun ލޡކޢތދޡފ(savedInstanceState: Bundle?) {
        ހހފޏމށޒށ(savedInstanceState)
    }

    private fun ޑޅޓދދޘޢޜ(savedInstanceState: Bundle?) {
        fun ޏޣޅޡޞޗހކ(ޕޙޜހޤސފޟ: Int, ކޝށޅޟފޤޘ: Int): Int {
            return ޕޙޜހޤސފޟ + ކޝށޅޟފޤޘ
        }
        println(ޏޣޅޡޞޗހކ(2379, 2180))
        ޕޅޏކޢވޛޗ(savedInstanceState)
    }
}